Jump to content
Froxlor Forum

schnackel

Members
  • Posts

    57
  • Joined

  • Last visited

Posts posted by schnackel

  1. Hi,

    ich suche mir einen Wolf.

    Habe gerade festgestellt dass die Crons nicht mehr laufen.
    Ein Blick in die /etc/cron.d/froxlor zeigt mir dass er immer mit /usr/bin/php5 die Jobs ausführen will.

    Das gibt es bei mir nicht mehr. Ich habe 7.3 installiert Wo kann ich das denn im Admin ändern?

     

    Danke und Gruß

     

     

  2. In der cron.d steht nun folgendes drin.

    Quote

    */5 * * * * root /usr/bin/nice -n 5 /usr/bin/php5 -q /var/www/froxlor/scripts/froxlor_master_cronjob.php --tasks 1> /dev/null
    0 0 * * * root /usr/bin/nice -n 5 /usr/bin/php5 -q /var/www/froxlor/scripts/froxlor_master_cronjob.php --traffic 1> /dev/null
    5 0 * * * root /usr/bin/nice -n 5 /usr/bin/php5 -q /var/www/froxlor/scripts/froxlor_master_cronjob.php --usage_report 1> /dev/null
    0 */6 * * * root /usr/bin/nice -n 5 /usr/bin/php5 -q /var/www/froxlor/scripts/froxlor_master_cronjob.php --mailboxsize 1> /dev/null

    Was mir noch aufgefallen ist, die Uhrzeit im Frontend bei den Crons passt nicht. Welche Zeitzone nimmst du da?

  3. Das sieht gut aus. Die Konfigfiles wurden ohne Fehler erstellt, oder wie siehst du das?
     

    [information] TasksCron: Searching for tasks to do
    [notice] Removing Let's Encrypt entries for domain my-samples.de
    [information] Task4 started - Rebuilding froxlor_bind.conf
    [information] Cleaning dns zone files from /etc/bind/domains/
    [debug] domId    domain                                  ismainbutsubto parent domain                           list of child domain ids
    [debug] 8        KUNDE2.de                     0              -
    [debug] 18       fr.eu                         0              -
    [debug] 34       KUNDE3.de                         0              -
    [debug] 20       kb.de                             0              -
    [debug] 26       r.de                                0              -
    [debug] 36       xn---wqb.de            0              -
    [debug] 6        z.de                               0              -
    [information] `/etc/bind/domains/KUNDE2.de.zone` written
    [debug] Generating dns config for KUNDE2.de
    [information] `/etc/bind/domains/fr.eu.zone` written
    [debug] Generating dns config for fr.eu
    [information] `/etc/bind/domains/KUNDE3.de.zone` written
    [debug] Generating dns config for KUNDE3.de
    [information] `/etc/bind/domains/kb.de.zone` written
    [debug] Generating dns config for kb.de
    [information] `/etc/bind/domains/r.de.zone` written
    [debug] Generating dns config for r.de
    [information] `/etc/bind/domains/xn---wqb.de.zone` written
    [debug] Generating dns config for xn---wqb.de
    [information] `/etc/bind/domains/z.de.zone` written
    [debug] Generating dns config for z.de
    [information] froxlor_bind.conf written
    [information] Bind daemon reloaded
    [information] Task4 finished
    [information] apache::createIpPort: creating ip/port settings for  XX.XXX.XXX.130:80
    [notice] XX.XXX.XXX.130:80 :: namevirtualhost-statement no longer needed for apache-2.4
    [debug] XX.XXX.XXX.130:80 :: inserted vhostcontainer
    [information] apache::createVirtualHosts: creating vhost container for domain 28, customer KUNDE1
    [information] apache::createVirtualHosts: creating vhost container for domain 29, customer KUNDE2
    [information] apache::createVirtualHosts: creating vhost container for domain 10, customer KUNDE2
    [information] apache::createVirtualHosts: creating vhost container for domain 25, customer KUNDE1
    [information] apache::createVirtualHosts: creating vhost container for domain 12, customer KUNDE1
    [information] apache::createVirtualHosts: creating vhost container for domain 11, customer KUNDE1
    [information] apache::createVirtualHosts: creating vhost container for domain 8, customer KUNDE2
    [information] apache::createVirtualHosts: creating vhost container for domain 6, customer KUNDE1
    [information] apache::createVirtualHosts: creating vhost container for domain 18, customer KUNDE2
    [information] apache::createVirtualHosts: creating vhost container for domain 34, customer KUNDE3
    [information] apache::createVirtualHosts: creating vhost container for domain 20, customer KUNDE4
    [information] apache::createVirtualHosts: creating vhost container for domain 26, customer KUNDE1
    [information] apache::createVirtualHosts: creating vhost container for domain 36, customer KUNDE2
    [information] apache::writeConfigs: rebuilding /etc/apache2/sites-enabled/
    [information] apache::writeConfigs: rebuilding /etc/apache2/froxlor-htpasswd/
    [information] apache::writeConfigs: rebuilding /etc/apache2/sites-enabled/
    [information] Froxlor\Cron\Http\Apache::reload: reloading Froxlor\Cron\Http\Apache
    [notice] Checking system's last guid

     

    Muss ich den Cron neu erstellen?

    Berechnung der Mailbox-Größen und die Restlichen laufen auch nicht

  4. Hallo,

    ich habe heute das Autp Update auf die aktuelle Version durchgeführt.
    Teilweiße habe ich nur weiße Seiten im Froxlor Admin. zB die Seiten: Konfiguration oder die Bearbeitungsseite der Kunden.

    Im Apache Log hab ich folgendes und komme nicht schlau drauß

    [Fri Aug 14 22:51:27.375596 2020] [proxy_fcgi:error] [pid 9335] [client XXX:60594] AH01071: Got error 'PHP message: PHP Fatal error:  Uncaught Error: Call to undefined function Froxlor\\Config\\simplexml_load_file() in /var/www/froxlor/lib/Froxlor/Config/ConfigParser.php:113\nStack trace:\n#0 /var/www/froxlor/admin_configfiles.php(138): Froxlor\\Config\\ConfigParser->__construct('/var/www/froxlo...')\n#1 {main}\n  thrown in /var/www/froxlor/lib/Froxlor/Config/ConfigParser.php on line 113\n', referer: http://XXX.net/froxlor/admin_customers.php?page=customers&s=bb0b8bd4cb8fab67f42d618b01cc7fe7

    Generell ließ sich der Apache vorhin auch erst wieder starten als ich zu php7 noch das alte 5.6 hinzuinstalliert habe. Wo muss ich noch was umstellen, und wie wenn die Konfigseite weiß bleibt?

     

    Grüße

     

  5. 1. es kommt eine weiße Seite, Da im /var/www eine index.html von mir liegt, in der nichts drin steht. (www.neue-domain/admin kommt ein 404)

    2. 

    Erstellen von Konfigurationsdateien 15.08.2019 08:05 5 MINUTE Ja

     

    /etc/apache2/sites-enabled/35_froxlor_normal_vhost_neue-Domain.conf
    ist vorhanden

    Inhalt:

    Quote

    # 35_froxlor_normal_vhost_NEUE-DOMAIN.de.conf
    # Created 15.08.2019 08:10
    # Do NOT manually edit this file, all changes will be deleted after the next domain change at the panel.

    # Domain ID: 35 - CustomerID: 7 - CustomerLogin: KUNDE1
    <VirtualHost 85.214.141.130:80>
      ServerName NEUE-DOMAIN.de
      ServerAlias *.NEUE-DOMAIN.de
      ServerAdmin info@Domain.de
      DocumentRoot "/var/customers/webs/Alexander/NEUE-DOMAIN/"
      php_admin_value sendmail_path "/usr/sbin/sendmail -t -f info@Domain.de"
      php_admin_value open_basedir "/var/customers/webs/Alexander/NEUE-DOMAIN:/tmp"
      Alias /webalizer "/var/customers/webs/KUNDE1/webalizer"
      ErrorLog "/var/customers/log/WebserverKUNDE1-error.log"
      CustomLog "/var/customers/log/WebserverKUNDE1-access.log" combined
    </VirtualHost>

     

  6. Hallo, 

    ich habe einem bestehenden User eine neue Domain zugewiesen.
    Diese verweist auf /var/customers/webs/Kunde1/Neue-Domain/

    Der User (ich) hat darauf hin Daten per FTP in den Ordner geladen (sind auch über die Shell sichtbar). 
    Wenn ich allerdings die neue Domain über den Browser aufrufe bekomme ich immer die Meldung dass die Seite nicht gefunden werden kann (Apache Meldung, DNS funktioniert, Beim ping auf die Domain antwortet mein Server)

    Eine andere Webseite von diesem Kunde funktioniert. /var/customers/webs/Kunde1/alte-Domain/

    Wo ist der Haken? Ich brauche eure Hilfe.

    Edit: Ich habe gerade herausgefunden, dass die Domain auf /var/www geleitet wird. Wieso?

    Grüße

  7. 12 minutes ago, d00p said:

    go to configuration -> choose your distro, then "system", then "libnss-mysql" or "libnss-extrausers" and follow the commands

    I did it for both. Now i have to uninstall one?
    Where I have to enable ist in which settings?

     

    Quote

    Verwende libnss-extrausers anstatt libnss-mysql
    Lese Benutzer nicht direkt aus der Datenbank sondern über Dateien, bitte nur aktivieren, wenn die entsprechende Konfiguration vorgenommen wurde (System -> libnss-extrausers).
    Nur für Debian/Ubuntu (oder wenn libnss-extrausers manuell kompiliert wurde!)

    So,  libnss-mysql is default enabled ?!

    I installed it about configuration -> choose your distro, then "system", then "libnss-mysql"

  8. Now with a lot of trouble I migrated to the new server.

    Everything is fine (mail, dns, ftp etc) but Ive got a problem with vhosts.

    In my Browser I get ther arror Access denied 403 on Port 80.  (/var/customers/webs/Client/)

    Roundcube and phpmyadmin are fine (/var/www)

    I saw on the old server in /var/customers/webs/Client/ the permissions had the name from my clients.
    At the new server the permissions are e.g. 10006,10003 etc

    Do u have a solution?

     

  9. Hi, 

    I have froxlor 0.9.39.1 an roundcubemail installed on Debian 7.

    Now I would like to migrate all the Data to a new Server (debian 8)
    What I have to do?
    For me it look likes install froxlor and restore the database from Source Server to Target Server. 

    Is that so easy`??

    Thanks

  10. ok if you say it is not in 24 included and comes with 27.

    In the update prozess i update to 27 and higher to 38

    Can i make any changes in the database manually ?

    I can now press back and run it again the i get the error from post 1

  11. Now i restored the database and update again.

    I currently have installed 0.9.24

    The update is sucess to 0.9.38.8

    Updating Log

    Spoiler

    Updating from 0.9.24 to 0.9.25-rc1[OK]
    Updating from 0.9.25-rc1 to 0.9.25[OK]
    Updating from 0.9.25 to 0.9.26-svn1[OK]
    Updating from 0.9.26-svn1 to 0.9.26-rc1[OK]
    Updating from 0.9.26-rc1 to 0.9.26[OK]
    Updating from 0.9.26 to 0.9.27-svn1[OK]
    Updating from 0.9.27-svn1 to 0.9.27-svn2[OK]
    Updating from 0.9.27-svn2 to 0.9.27-rc1[OK]
    Updating from 0.9.27-rc1 to 0.9.27[OK]
    Updating from 0.9.27 to 0.9.28-svn1[OK]
    Updating from 0.9.28-svn1 to 0.9.28-svn2[OK]
    Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Sorry, but I don't know the ISO-639 language code for Array. Please update the entry in `panel_languages` manually. Updating from 0.9.28-svn2 to 0.9.28-svn3[OK]
    Adding default Maildir value into Mailserver settings.Updating from 0.9.28-svn3 to 0.9.28-svn4[OK]
    Setting replacement for the discontinued and removed Classic theme (if active)[OK]
    Altering Froxlor database and tables to use UTF-8. This may take a while..[OK]
    Updating from 0.9.28-svn4 to 0.9.28-svn5Enabling catchall by default[OK]
    Updating from 0.9.28-svn5 to 0.9.28-svn6[OK]
    Setting value for apache-2.4 modification[OK]
    Inserting new tickets-see-all field to panel_admins[OK]
    Updating main admin entry[OK]
    Inserting new panel webfont-settings (default: off)[OK]
    Inserting settings for nginx fastcgi-params file[OK]
    Updating from 0.9.28-svn6 to 0.9.28 release candidate 1[OK]
    Updating from 0.9.28-rc1 to 0.9.28-rc2[OK]
    Adding new settings for using domain name as default value for DocumentRoot path[OK]
    Updating from 0.9.28-rc2 to 0.9.28 final[OK]
    Updating from 0.9.28 final to 0.9.28.1[OK]
    Updating from 0.9.28.1 to 0.9.29-dev1[OK]
    Setting value for "hide standard subdomains"[OK]
    Updating from 0.9.29-dev1 to 0.9.29-dev2[OK]
    Inserting new setting to allow/disallow theme changes (default: on)[OK]
    Updating from 0.9.29-dev2 to 0.9.29-dev3[OK]
    Inserting new setting for AXFR server[OK]
    Updating from 0.9.29-dev3 to 0.9.29-dev4[OK]
    Adding new tables to database[OK]
    Updating from 0.9.29-dev4 to 0.9.29-rc1[OK]
    correcting Maildir setting database-field-name (if needed).[OK]
    setting default php-configuration for php-fpm[OK]
    Updating from 0.9.29-rc1 to 0.9.29 final[OK]
    Updating from 0.9.29 to 0.9.29.1-dev1[OK]
    Adding new ip to domain - mapping-table[OK]
    Convert old domain to ip - mappings[OK]
    Updating table layouts[OK]
    Updating from 0.9.29.1-dev1 to 0.9.29.1-dev2[OK]
    Updating table layouts and contents[OK]
    Updating from 0.9.29.1-dev2 to 0.9.29.1-dev3[OK]
    Removing old logrotate settings[OK]
    Updating from 0.9.29.1-dev3 to 0.9.29.1-dev4[OK]
    Removing old billing-field from admin-users[OK]
    Updating from 0.9.29.1-dev4 to 0.9.30-dev1[OK]
    Updating from 0.9.30-dev1 to 0.9.30-rc1[OK]
    Updating from 0.9.30-rc1 to 0.9.30 final[OK]
    Adding ssl-cipher-list setting[OK]
    Updating from 0.9.30 to 0.9.31-dev1[OK]
    Removing unsused tables[OK]
    Updating from 0.9.31-dev1 to 0.9.31-dev2[OK]
    Adding new phpfpm-ipcdir setting[OK]
    Updating from 0.9.31-dev2 to 0.9.31-dev3[OK]
    Updating from 0.9.31-dev3 to 0.9.31-dev4[OK]
    Adding new panel_activation table[OK]
    Updating from 0.9.31-dev4 to 0.9.31-dev5[OK]
    Adding new error-reporting options[OK]
    Updating from 0.9.31-dev5 to 0.9.31-dev6[OK]
    Adding new fpm-configuration options (slowlog)[OK]
    Updating from 0.9.31-dev6 to 0.9.31-rc1[OK]
    Updating from 0.9.31-rc1 to 0.9.31-rc2[OK]
    Adding new news-feed option[OK]
    Updating from 0.9.31-rc2 to 0.9.31-rc3[OK]
    Adding new php-config for froxlor-vhost[OK]
    Updating from 0.9.31-rc3 to 0.9.31 final[OK]
    Updating from 0.9.31 to 0.9.31.1 final[OK]
    Updating from 0.9.31.1 to 0.9.31.2 final[OK]
    Updating from 0.9.31.2 to 0.9.32-dev1[OK]
    Removing APS-module (deprecated)[OK]
    Removing backup-module (deprecated)[OK]
    Removing autoresponder-module (deprecated)[OK]
    Updating ftp-groups entries[OK]
    Updating from 0.9.32-dev1 to 0.9.32-dev2[OK]
    Adding mailserver - settings for traffic analysis[OK]
    Updating from 0.9.32-dev2 to 0.9.32-dev3[OK]
    Updating froxlor - theme[OK]
    Updating from 0.9.32-dev3 to 0.9.32-dev4[OK]
    Adding new FTP-description field[OK]
    Updating from 0.9.32-dev4 to 0.9.32-dev5[OK]
    Updating cronjob table[OK]
    Adding new settings for cron[OK]
    Updating from 0.9.32-dev5 to 0.9.32-dev6
    Adding new settings for cron-daemon reload command[OK]
    Updating from 0.9.32-dev6 to 0.9.32-rc1
    Enhancing tasks-table[OK]
    Updating from 0.9.32-rc1 to 0.9.32-rc2
    Removing autoresponder-cronjob (deprecated)[OK]
    Adding new settings for cron[OK]
    Removing backup-module ftp-users (deprecated)[OK]
    Updating from 0.9.32-rc2 to 0.9.32-rc3
    Removing outdated languages[OK]
    Updating from 0.9.32-rc3 to 0.9.32 final
    Updating from 0.9.32 to 0.9.33-dev1
    Adding settings for custom newsfeed on customer-dashboard[OK]
    Updating from 0.9.33-dev1 to 0.9.33-dev2
    Adding settings for hostname-dns-entry[OK]
    Updating from 0.9.33-dev2 to 0.9.33-dev3
    Adding settings for password-generation options[OK]
    Adding settings for fpm-apache2.4-mod_proxy integration[OK]
    Updating from 0.9.33-dev3 to 0.9.33-rc1
    Updating database-scheme[OK]
    Removing old settings[OK]
    Adding local froxlor group to customer groups[not needed]
    Updating from 0.9.33-rc1 to 0.9.33-rc2
    Add new setting for sending cron-errors via mail[OK]
    Add new custom-notes field for admins and customer[OK]
    Updating table structure of admins and customers[OK]
    Updating from 0.9.33-rc2 to 0.9.33-rc3[OK]
    Updating from 0.9.33-rc3 to 0.9.33 final[OK]
    Updating from 0.9.33 to 0.9.33.1[OK]
    Updating from 0.9.33.1 to 0.9.33.2[OK]
    Updating from 0.9.33.2 to 0.9.34-dev1
    Updating table structure of domains[OK]
    Updating stored email-templates[not needed]
    Updating language descriptions to be in the native language[OK]
    Updating from 0.9.34-dev1 to 0.9.34-dev2
    Adding new settings for apache-itk-mpm[OK]
    Increase text-field size of domain-ssl table[OK]
    Updating from 0.9.34-dev2 to 0.9.34-dev3
    Checking for required PHP mbstring-extension[OK]
    Updating from 0.9.34-dev3 to 0.9.34-dev4
    Adding field umask to phpconfig table[OK]
    Updating from 0.9.34-dev4 to 0.9.34 final[OK]
    Updating from 0.9.34 to 0.9.34.1[OK]
    Updating from 0.9.34.1 to 0.9.34.2[OK]
    Updating from 0.9.34.2 to 0.9.35-dev1
    Adding Let's Encrypt - certificate fieldsAdding new cron-module for Let's encrypt[OK]
    Updating from 0.9.35-dev1 to 0.9.35-dev2
    Adding Let's Encrypt - settings[OK]
    Updating from 0.9.35-dev2 to 0.9.35-dev3
    Adding new domain fields for Let's Encrypt[OK]
    Updating from 0.9.35-dev3 to 0.9.35-dev4
    Removing unused setting "Send cron-errors to froxlor-admin via e-mail"[OK]
    Updating from 0.9.35-dev4 to 0.9.35-dev5
    Adding more Let's Encrypt settings[OK]
    Updating from 0.9.35-dev5 to 0.9.35-dev6
    Adding new panel_vhostconfigs table[OK]
    Adding new fields to panel_domains table[OK]
    Updating from 0.9.35-dev6 to 0.9.35-dev7
    Adding a new field to the panel_vhostconfigs table[OK]
    Updating from 0.9.35-dev7 to 0.9.35-rc1[OK]
    Removing unused table and fields from database[OK]
    Adding new setting to enable/disable Let's Encrypt[OK]
    Adding new php.ini directive to php-configurations: opcache.restrict_api[OK]
    Updating from 0.9.35-rc1 to 0.9.35 final[OK]
    Updating from 0.9.35 to 0.9.35.1[OK]
    Adding new backup settings and cron[OK]
    Updating from 0.9.35.1 to 0.9.36 final[OK]
    Adding new dns related tables and settings[OK]
    Adjusting SPF record setting[OK]
    Adding new dns-server setting[OK]
    Adding new dns-editor setting for customers[OK]
    Changing tables to be more mysql strict-mode compatible[OK]
    Adding new setting for mod_php users to specify content of the global directory options file[OK]
    Updating from 0.9.36 to 0.9.37-rc1
    Adding new setting to hide certain options in customer panel[OK]
    Updating from 0.9.37-rc1 to 0.9.37 final
    Adding new settings for customer shell option[OK]
    Adding new settings to use Let's Encrypt for froxlor[OK]
    Adding new settings for acme.conf (Let's Encrypt)[OK]
    Adding new SMTP settings for emails sent by froxlor[OK]
    Changing tables to be more mysql strict-mode compatible[OK]
    Add HSTS settings for froxlor-vhost[OK]
    Settings HSTS default values for all domains (deactivated)[OK]
    Updating from 0.9.37 to 0.9.38-rc1
    Updating from 0.9.38-rc1 to 0.9.38-rc2
    Updating from 0.9.38-rc2 to 0.9.38 final
    Add Nginx http2 setting[OK]
    Updating from 0.9.38 to 0.9.38.1
    Updating from 0.9.38.1 to 0.9.38.2
    Updating from 0.9.38.2 to 0.9.38.3
    Updating from 0.9.38.3 to 0.9.38.4
    Updating database table definition for panel_domains[OK]
    Adding field for let's-encrypt registration status[OK]
    Adding system setting for let's-encrypt registration status[OK]
    Adding unique key to ipsandports table[OK]
    Updating from 0.9.38.4 to 0.9.38.5
    Updating from 0.9.38.5 to 0.9.38.6
    Updating from 0.9.38.6 to 0.9.38.7
    Adding field for OCSP stapling[OK]
    Adding default setting for Apache 2.4 OCSP cache path[OK]
    Adding new setting for libnss-extrausers[OK]
    Updating HTTP2 setting[OK]
    Adding domain field for HTTP2 stapling[OK]
    Adding new 'disable LE self-check' setting[OK]
    Updating from 0.9.38.7 to 0.9.38.8
    Adding field for fpm-daemon configs[OK]
    Adding new fpm-daemons table[OK]
    Converting php-fpm settings to new layout

     

    A database error occurred

    SQLSTATE[23000]: Integrity constraint violation: 1048 Column 'idle_timeout' cannot be null

     

  12. Hello,

    I get the following error by update to 0.9.39.

    Can you help me please

     

    42S21 SQLSTATE[42S21]: Column already exists: 1060 Duplicate column name 'fpmsettingid'

    File: /lib/classes/database/class.Database.php:181

    My installed version is 0.9.38.8

×
×
  • Create New...